<?php
/**
 * Service Section
 *
 * @package Tamal_Portfolio
 */

$default_args = array(
    'panel'    => 'tamal_portfolio_front_page_options',
    'title'    => esc_html__( 'Service Section', 'tamal-portfolio' ),
    'priority' => priority_section('tamal_portfolio_service_section'),
);

$wp_customize->add_section(
    'tamal_portfolio_service_section',
    $default_args
);

// Service Section - Enable Section.
$wp_customize->add_setting(
	'tamal_portfolio_enable_service_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'tamal_portfolio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Tamal_Portfolio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'tamal_portfolio_enable_service_section',
		array(
			'label'    => esc_html__( 'Enable Service Section', 'tamal-portfolio' ),
			'section'  => 'tamal_portfolio_service_section',
			'settings' => 'tamal_portfolio_enable_service_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'tamal_portfolio_enable_service_section',
		array(
			'selector' => '#my-service .section-link',
			'settings' => 'tamal_portfolio_enable_service_section',
		)
	);
}


// Background grey
$wp_customize->add_setting(
    'tamal_portfolio_service_section_background_grey',
    array(
        'default'           => false,
        'sanitize_callback' => 'tamal_portfolio_sanitize_switch',
    )
);
$wp_customize->add_control(
    new Tamal_Portfolio_Toggle_Switch_Custom_Control(
        $wp_customize,
        'tamal_portfolio_service_section_background_grey',
        array(
            'label'    => esc_html__( 'Background Grey', 'tamal-portfolio' ),
            'section'  => 'tamal_portfolio_service_section',
            'settings' => 'tamal_portfolio_service_section_background_grey',
            'active_callback' => 'tamal_portfolio_is_service_section_enabled',
        )
    )
);

// Headline
$wp_customize->add_setting(
    'tamal_portfolio_service_section_headline',
    array(
        'default'           => __( 'Service', 'tamal-portfolio' ),
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'tamal_portfolio_service_section_headline',
    array(
        'label'           => esc_html__( 'Headline', 'tamal-portfolio' ),
        'section'         => 'tamal_portfolio_service_section',
        'settings'        => 'tamal_portfolio_service_section_headline',
        'type'            => 'text',
        'active_callback' => 'tamal_portfolio_is_service_section_enabled',
    )
);

$wp_customize->add_setting(
    'tamal_portfolio_service_section_headline_sub',
    array(
        'default'           => __( 'Details about me', 'tamal-portfolio' ),
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'tamal_portfolio_service_section_headline_sub',
    array(
        'label'           => esc_html__( 'Headline sub', 'tamal-portfolio' ),
        'section'         => 'tamal_portfolio_service_section',
        'settings'        => 'tamal_portfolio_service_section_headline_sub',
        'type'            => 'text',
        'active_callback' => 'tamal_portfolio_is_service_section_enabled',
    )
);
//
// List Service
$wp_customize->add_setting(
    'tamal_portfolio_service_section_list',
    array(
        'default'           => '',
        'sanitize_callback' => 'customizer_repeater_sanitize',
    )
);
$wp_customize->add_control(
    new Tamal_Portfolio_Customize_Field_Repeater(
        $wp_customize,
        'tamal_portfolio_service_section_list',
        array(
            'label'   => esc_html__('Service','tamal-portfolio'),
            'label_item'   => esc_html__('Service Item','tamal-portfolio'),
            'section' => 'tamal_portfolio_service_section',
            'custom_repeater_icon_control' => true,
            'custom_repeater_title_control' => true,
            'custom_repeater_text_control' => true,
            'active_callback' => 'tamal_portfolio_is_service_section_enabled',
        )
    )
);

